# Get the status of batch of messages

Retrieve the status of a batch of messages by its unique batch ID.

Endpoint: GET /v1/projects/{project_id}/messages/{batch_id}
Version: 1.0
Security: BearerAuth

## Path parameters:

  - `project_id` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `batch_id` (string, required)
    The unique ID of the batch. This ID is returned when submitting a batch of messages.

## Response 200 fields (application/json):

  - `batch_id` (string)
    The ID of the batch of messages.

  - `meta_data` (object)
    The metadata associated with the batch of messages.

  - `status` (string)
    The status of the batch of messages.
    Enum: "READY", "SCHEDULED", "PROCESSED", "CANCELLED"

  - `send_after` (string)
    The date and time when the batch of messages is or was scheduled to be sent to recipients.

## Response 404 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `status` (string)

  - `details` (array)


## Response 401 fields

## Response 403 fields
